org.apache.sysds.runtime.io

## Class FrameReaderJSONL

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReaderJSONL

Direct Known Subclasses:
  FrameReaderJSONLParallel

    public class FrameReaderJSONL
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FrameReaderJSONL()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrameBlock` `readFrameFromHDFS(String fname, Types.ValueType[] schema, Map<String,Integer> schemaMap, long rlen, long clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderJSONL

    public FrameReaderJSONL()

### Method Detail

#### readFrameFromHDFS

    public FrameBlock readFrameFromHDFS(String fname,
                                        Types.ValueType[] schema,
                                        Map<String,Integer> schemaMap,
                                        long rlen,
                                        long clen)
                                 throws IOException,
                                        DMLRuntimeException,
                                        org.apache.wink.json4j.JSONException

Throws:
  `IOException`
  `DMLRuntimeException`
  `org.apache.wink.json4j.JSONException`